### Method

# EDataServerUI4 CredentialsPrompter unregister_impl

since: 3.16

#### Declaration [src]

    void
    e_credentials_prompter_unregister_impl (
      ECredentialsPrompter* prompter,
      const gchar* authentication_method,
      ECredentialsPrompterImpl* prompter_impl
    )

#### Description [src]

Unregisters previously registered `prompter_impl` for the given `autnetication_method` with e_credentials_prompter_register_impl(). Function does nothing, if no such authentication method is registered or if it has set a different prompter implementation.

Available since: 3.16

#### Parameters

`authentication_method`

  Type: `const gchar*`

  An authentication method to registr `prompter_impl` for; or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`prompter_impl`

  Type: `ECredentialsPrompterImpl`

  An `ECredentialsPrompterImpl`.

  The data is owned by the caller of the method.